UNW\_STRERROR(3)

NAME
unw_strerror -- get text corresponding to error code

SYNOPSIS

#include <libunwind.h>

const char * unw_strerror(int err_code);

DESCRIPTION

The unw_strerror() routine maps the (negative) err_code to a corresponding text message and returns it.

RETURN VALUE

The message that corresponds to err_code or, if the err_code has no corresponding message, the text "invalid error code".

THREAD AND SIGNAL SAFETY

unw_strerror() is thread-safe as well as safe to use from a signal handler.

AUTHOR

Thomas Hallgren
BEA Systems
Stockholm, Sweden
Email: thallgre@bea.com